package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.service.IEnvDataService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@RestController
@RequestMapping("/env-data")
@CrossOrigin
public class EnvDataController {
    @Resource
    private IEnvDataService envDataService;

    @PostMapping("/getLastFlow")
    public Result getLastFlow(@RequestBody Map<String ,String> paramsMap){
        return envDataService.getLastFlow(paramsMap);
    }

    @PostMapping("/listByBuild")
    public Result listByBuild(@RequestBody Map<String ,String> paramsMap){
        return envDataService.listByBuild(paramsMap);
    }

}
