package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("duck_body_size_info")
public class DuckBodySizeInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String duckNum;

    private Integer duckId;

    /**
     * 位置（预留字段）
     */
    private String location;

    /**
     * 单元名字（位置）
     */
    private String unitName;

    private Integer unitId;

    /**
     * 测量日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date measureDate;

    /**
     * 翅号
     */
    private String wingNum;

    /**
     * 体斜长(cm)
     */
    private String bodyLength;

    /**
     * 龙骨长(cm)
     */
    private String keelLength;

    /**
     * 半潜水长(cm)
     */
    private String halfWaterLength;

    /**
     * 胸宽(cm)
     */
    private String chestWide;

    /**
     * 胸深(cm)
     */
    private String chestDeep;

    /**
     * 骨盆宽(cm)
     */
    private String pelvicWide;

    /**
     * 胫长(cm)
     */
    private String shinWide;

    /**
     * 胫围(cm)
     */
    private String shinPerimeter;

    private Integer farmId;


}
