package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("energy_warning_threshold")
public class EnergyWarningThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String maxValue;

    private String minValue;

    private Integer farmId;

    /**
     * 0 总水 ，1总电 ,2单个设备
     */
    private Integer warningType;

    /**
     * 设备id
     */
    private String chipCode;


}
