package com.huimv.guowei.admin.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import  java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_move_call")
public class EnvMoveCall implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备名称
     */
    private String callName;

    /**
     * 设备编码
     */
    private String callCode;

    /**
     * 鸭只编号
     */
    private String duckNum;

    /**
     * 体重
     */
    private BigDecimal duckWeight;

    /**
     * 称重日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date callDate;

    /**
     * 日龄
     */
    private Integer dayage;

    private Integer farmId;
    private Integer duckId;

    private String unitName;
    private Integer unitId;

}
