package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_camera")
public class SysCamera implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 摄像头名字
     */
    private String cameraName;

    /**
     * 账号
     */
    private String account;

    /**
     * 密码
     */
    private String password;

    /**
     * 区域名字
     */
    private String areaName;

    /**
     * 区域id
     */
    private Integer areaId;

    /**
     * 摄像头ip
     */
    private String cameraIp;

    /**
     * 0未关注，1关注
     */
    private Integer attention;

    /**
     * 品牌()
     */
    private String brandName;

    /**
     * 品牌id
     */
    private Integer brandId;

    /**
     * 1正常   0停用
     */
    private Boolean runStatus;

    private Integer sort;

    private Integer farmId;

    private Integer roomId;

    /**
     * icc 通道
     */
    private String iccChannel;

    /**
     * 功能点id
     */
    private Integer functionId;

    /**
     * 1在线  0离线
     */
    private Boolean isOnline;


}
