package com.huimv.guowei.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.guowei.admin.entity.EnvRegularCallEgg;
import com.huimv.guowei.admin.entity.EnvRegularCallFeeding;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 固定电子秤 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface EnvRegularCallEggMapper extends BaseMapper<EnvRegularCallEgg> {
    List<EnvRegularCallEgg> listDay(@Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallEgg> queryWrapper);

    IPage<EnvRegularCallEgg> listPage(Page<EnvRegularCallEgg> page, @Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallEgg> queryWrapper);

    List<EnvRegularCallEgg> printEggList(@Param(Constants.WRAPPER) QueryWrapper<EnvRegularCallEgg> queryWrapper);

    String getTotalEgg (String farmId);
}
