package com.huimv.guowei.admin.mqtt.EnvControll;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.guowei.admin.entity.EnvDevice;
import com.huimv.guowei.admin.service.IEnvDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.ArrayList;
import java.util.List;

@Component
public class MqttStart {

    @Autowired
    private IEnvDeviceService deviceService;

    @PostConstruct
    public  void  test() {
        QueryWrapper<EnvDevice> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("device_type", 1).eq("farm_id", 21).eq("device_status",1);
        List<EnvDevice> list = deviceService.list(queryWrapper);

        List<String> chipIds = new ArrayList<>();
        for (EnvDevice device : list) {
            String chipId = device.getDeviceCode();
            chipIds.add(chipId);
        }
        UploadMqtt uploadmqtt = new UploadMqtt();
        uploadmqtt.setTopics(chipIds);
        uploadmqtt.run();
    }

}
