package com.huimv.guowei.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.BaseBuilding;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
public interface IBaseBuildingService extends IService<BaseBuilding> {

//    Result list(String farmCode, String buildName, String stageCode);

    Result addBuilding(BaseBuilding baseBuilding);

    Result updateBuilding(BaseBuilding baseBuilding);

    Result deleteBuilding(Map<String, Integer> map);

    Result listBuilding(Map<String, String> map);

    Result listTreeBuilding(Map<String, String> map);

    Result addSubBuilding(Map<String, String> map);

    Result getUnitEnvironment(Map<String, String> map);

    Result getScreenEnvironment(Map<String, String> map);

    Result listScreenEnergy();

    Result listScreenFeed(Map<String, String> map);

    Result listScreenDuck(Map<String, String> map);
}
