package com.huimv.guowei.admin.service;

import cn.hutool.http.HttpResponse;
import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.EnvRegularCallEgg;
import com.huimv.guowei.admin.entity.EnvRegularCallFeeding;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 固定电子秤 服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface IEnvRegularCallEggService extends IService<EnvRegularCallEgg> {
    Result listById(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result addEgg(HttpServletRequest httpServletRequest, Map<String, String> paramsMap) throws ParseException;

    Result updateEgg(HttpServletRequest httpServletRequest,EnvRegularCallEgg egg);

    Result deleteEgg(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    void printEgg(HttpServletResponse response, Map<String, String> paramsMap) throws Exception;

    Result listByH5(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listSelect(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listSeven(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);


    //大屏
    Result collector(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result collectorEnv(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);


}
