package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.service.IEnergyWaterService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@RestController
@RequestMapping("/energy-water")
@CrossOrigin
public class EnergyWaterController {
    @Resource
    private IEnergyWaterService energyWaterService;

    @PostMapping("/getWater")
    public Result getWater(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.getWater(paramsMap);
    }

    @PostMapping("/listWater")
    public Result listWater(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.listWater(paramsMap);
    }

    @PostMapping("/listWaterLine")
    public Result listWaterLine(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.listWaterLine(paramsMap);
    }

    @PostMapping("/getScreenWaterLine")
    public Result getScreenWaterLine(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.getScreenWaterLine(paramsMap);
    }

    @PostMapping("/listScreenWaterLine")
    public Result listScreenWaterLine(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.listScreenWaterLine(paramsMap);
    }

    @PostMapping("/listScreenUnitWater")
    public Result listScreenUnitWater(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.listScreenUnitWater(paramsMap);
    }

}
