package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.service.IEnergyWaterPressureService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-21
 */
@RestController
@RequestMapping("/energy-water-pressure")
@CrossOrigin
public class EnergyWaterPressureController {
    @Resource
    private IEnergyWaterPressureService energyWaterPressureService;

    @PostMapping("/getWaterPressure")
    public Result getWaterPressure(@RequestBody Map<String, String> paramsMap){
        return energyWaterPressureService.getWaterPressure(paramsMap);
    }

    @PostMapping("/listWaterPressure")
    public Result listWaterPressure(@RequestBody Map<String, String> paramsMap){
        return energyWaterPressureService.listWaterPressure(paramsMap);
    }

}
