package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.service.IEnvWarningInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@RestController
@RequestMapping("/env-warning-info")
@CrossOrigin
public class EnvWarningInfoController {
    @Resource
    private IEnvWarningInfoService envWarningInfoService;

    @PostMapping("/listWarning")
    public Result listWarning(@RequestBody Map<String ,String> paramsMap){
        return envWarningInfoService.listWarning(paramsMap);
    }

}
