package com.huimv.guowei.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import  java.util.Date;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 固定电子秤
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_regular_call_egg")
public class EnvRegularCallEgg implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备名称
     */
    private String callName;

    /**
     * 设备编码
     */
    private String callCode;

    /**
     * 鸭只编号
     */
    private String duckNum;

    /**
     * 鸡蛋重量 克
     */
    private Double duckWeight;

    /**
     * 原始数据
     */
    private Integer duckFeedingOriginal;

    /**
     * 蛋个数
     */
    private Integer eggNum;

    /**
     * 称重日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date callDate;

    private Integer farmId;
    private Integer duckId;

    private String battery;
    private Integer unitId;
    private String unitName;


}
