package com.huimv.guowei.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.guowei.admin.entity.BaseBuilding;
import com.huimv.guowei.admin.entity.vo.ScreenDuckVo;
import com.huimv.guowei.admin.entity.vo.ScreenEnergyVo;
import com.huimv.guowei.admin.entity.vo.ScreenFeedVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
@Repository
public interface BaseBuildingMapper extends BaseMapper<BaseBuilding> {

    List<Integer> getCageById(@Param("id") Integer id);

    List<ScreenEnergyVo> listScreenEnergy();

    List<ScreenFeedVo> listScreenFeed();

    List<ScreenDuckVo> listScreenDuck(String farmId);
}
