package com.huimv.guowei.admin.mapper;

import com.huimv.guowei.admin.entity.EnvData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.guowei.admin.entity.vo.EnvDataScreenVo;
import com.huimv.guowei.admin.entity.vo.EnvDataVo;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface EnvDataMapper extends BaseMapper<EnvData> {

    List<EnvDataVo> getLastFlow(String farmId);

    List<EnvData> listDayDetail(String farmId, String unitId);

    List<EnvData> listWeekDetail(String farmId, String unitId);

    List<EnvData> listMonthDetail(String farmId, String unitId);

    List<EnvData> listCustomDetail(String farmId, String unitId, String startDate, String endDate);

    EnvDataVo getLastFlowByUnitId(String farmId, String unitId);

    List<EnvDataScreenVo> getLastFlowScreen(String farmId);
}
