package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.DuckHealthInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface IDuckHealthInfoService extends IService<DuckHealthInfo> {

    Result listById(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result addHealth(HttpServletRequest httpServletRequest, DuckHealthInfo healthInfo) throws ParseException;

    Result listByH5(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listSelect(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

}
