package com.huimv.guowei.admin.service;

import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.entity.SysCamera;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.guowei.admin.entity.vo.CameraListVo;
import com.huimv.guowei.admin.entity.vo.CameraListsVo;
import com.huimv.guowei.admin.entity.vo.CameraVo;
import javafx.scene.Camera;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
public interface ISysCameraService extends IService<SysCamera> {
    Result listPage(CameraListVo cameraListVo);

    List getCameraDetails(CameraListsVo cameraListsVo) throws InterruptedException;

    Result add(SysCamera camera);

    Result updates(SysCamera camera);

}
