package com.huimv.input.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 固定电子秤
 * </p>
 *
 * @author author
 * @since 2023-06-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("env_regular_call_feeding")
public class EnvRegularCallFeeding implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备名称
     */
    private String callName;

    /**
     * 设备编码
     */
    private String callCode;

    /**
     * 鸭只编号
     */
    private String duckNum;

    /**
     * 采食重量 克
     */
    private BigDecimal duckWeight;

    /**
     * 原始数据
     */
    private BigDecimal duckFeedingOriginal;

    /**
     * 称重日期
     */
    private Date callDate;

    private Integer farmId;

    /**
     * 鸭只id
     */
    private Integer duckId;

    /**
     * 电量
     */
    private String battery;

    private Integer unitId;

    private String unitName;
    private Integer eventType;


}
